mesa-git/main.sh
Ward from fusion-voyager-3 d0889bfa96
Some checks failed
PikaOS Package Build & Release (Canary) (amd64-v3) / build (push) Failing after 9m24s
port to pika os 4
2024-07-29 18:47:23 +03:00

31 lines
948 B
Bash
Executable File

#! /bin/bash
set -e
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
VERSION="24.3"
# Clone Upstream
git clone https://gitlab.freedesktop.org/mesa/mesa mesa-git
cp -rvf ./debian ./mesa-git/
cd ./mesa-git
for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
sed -i ' 1 s/.*/& - PikaOS YellowBirb Mesa Git /' ./VERSION
touch debian/changelog
echo -e "mesa-git ($VERSION.git."$(git rev-parse --short HEAD)") pika; urgency=medium\n\n * New GIT Release\n\n -- Ward Nakchbandi <hotrod.master@hotmail.com> Sat, 01 Oct 2022 14:50:00 +0200" > debian/changelog
# Get build deps
apt-get build-dep ./ -y
# Build package
#LOGNAME=root dh_make --createorig -y -l -p mesa-git_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/